fn main() {
    // ANCHOR: here
    let mut setting_value = Some(5);
    let new_setting_value = Some(10);

    match (setting_value, new_setting_value) {
        (Some(_), Some(_)) => {
            println!("Nie można nadpisać istniejącej wartości");
        }
        _ => {
            setting_value = new_setting_value;
        }
    }

    println!("ustawienie to {:?}", setting_value);
    // ANCHOR_END: here
}
